import PropTypes from 'prop-types';
import React from 'react';
import Bullet from './bullet.js';
import cx from 'classnames';
var BASE_CLASS = 'sui-ListBullet';

var ListBullet = function ListBullet(_ref) {
  var _cx;

  var listItems = _ref.listItems,
      responsive = _ref.responsive,
      smallFont = _ref.smallFont;
  var listBulletClass = cx(BASE_CLASS, (_cx = {}, _cx[BASE_CLASS + "--responsive"] = responsive, _cx[BASE_CLASS + "--smallFont"] = smallFont, _cx));
  return React.createElement("div", {
    className: listBulletClass
  }, listItems && listItems.map(function (item, index) {
    return React.createElement(Bullet, Object.assign({}, item, {
      key: index,
      baseClass: BASE_CLASS
    }));
  }));
};

ListBullet.displayName = 'ListBullet';
ListBullet.defaultProps = {
  responsive: false,
  smallFont: false
};
export default ListBullet;